Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354547 - UI exception thrown when creating new profile and moving to another sub tab
Summary: UI exception thrown when creating new profile and moving to another sub tab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.1
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 14:08 UTC by Nikolai Sednev
Modified: 2016-08-12 14:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:23:23 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
screen-shot (deleted)
2016-07-11 14:13 UTC, Nikolai Sednev
no flags Details
sosreport from engine (deleted)
2016-07-11 14:16 UTC, Nikolai Sednev
no flags Details
ui.log (deleted)
2016-07-12 14:14 UTC, Nikolai Sednev
no flags Details
ui.log - after engine was restarted and issue was reproduced (deleted)
2016-07-13 08:35 UTC, Nikolai Sednev
no flags Details
latest ui.log (deleted)
2016-07-18 15:31 UTC, Nikolai Sednev
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60975 master MERGED webadmin: Fix UI exception after creating new profile 2016-07-19 11:28:57 UTC
oVirt gerrit 61030 ovirt-engine-4.0 MERGED webadmin: Fix UI exception after creating new profile 2016-07-19 11:51:38 UTC

Description Nikolai Sednev 2016-07-11 14:08:59 UTC
Description of problem:
Uncaught exception occurred. Please try reloading the page. Details: (TypeError) __gwt$exception: <skipped>: Peb(...) is null
Please have your administrator check the UI logs


Version-Release number of selected component (if applicable):
Engine:
rhev-release-4.0.1-1-001.noarch
rhevm-spice-client-x86-msi-4.0-2.el7ev.noarch
rhevm-spice-client-x64-msi-4.0-2.el7ev.noarch
rhevm-setup-plugins-4.0.0.1-1.el7ev.noarch
rhevm-guest-agent-common-1.0.12-2.el7ev.noarch
rhevm-dependencies-4.0.0-1.el7ev.noarch
rhevm-branding-rhev-4.0.0-2.el7ev.noarch
rhevm-doc-4.0.0-2.el7ev.noarch
rhev-guest-tools-iso-4.0-2.el7ev.noarch
rhevm-4.0.0.6-0.1.el7ev.noarch
Linux version 3.10.0-462.el7.x86_64 (mockbuild@x86-034.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-8) (GCC) ) #1 SMP Thu Jul 7 10:15:22 EDT 2016
Linux 3.10.0-462.el7.x86_64 #1 SMP Thu Jul 7 10:15:22 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 Beta (Maipo)

Host:
ovirt-vmconsole-host-1.0.3-1.el7ev.noarch
ovirt-hosted-engine-ha-2.0.0-1.el7ev.noarch
libvirt-client-1.2.17-13.el7_2.5.x86_64
ovirt-host-deploy-1.5.0-1.el7ev.noarch
ovirt-hosted-engine-setup-2.0.0.2-1.el7ev.noarch
ovirt-setup-lib-1.0.2-1.el7ev.noarch
qemu-kvm-rhev-2.3.0-31.el7_2.18.x86_64
mom-0.5.5-1.el7ev.noarch
ovirt-vmconsole-1.0.3-1.el7ev.noarch
ovirt-imageio-common-0.3.0-0.el7ev.noarch
vdsm-4.18.5.1-1.el7ev.x86_64
rhevm-appliance-20160623.0-1.el7ev.noarch
ovirt-engine-sdk-python-3.6.7.0-1.el7ev.noarch
rhev-release-4.0.1-1-001.noarch
sanlock-3.2.4-2.el7_2.x86_64
ovirt-imageio-daemon-0.3.0-0.el7ev.noarch
Linux version 3.10.0-327.28.2.el7.x86_64 (mockbuild@x86-017.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Mon Jun 27 14:48:28 EDT 2016
Linux 3.10.0-327.28.2.el7.x86_64 #1 SMP Mon Jun 27 14:48:28 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.2 (Maipo)

How reproducible:
50%

Steps to Reproduce:
1.Saw this error after clicking on Clusters->Logical Networks->manage networks->Storage tab.
2.
3.

Actual results:
Uncaught exception occurred.

Expected results:
No errors should happen.

Additional info:
see print-screen and logs attached.

Comment 1 Nikolai Sednev 2016-07-11 14:13:49 UTC
Created attachment 1178422 [details]
screen-shot

Comment 2 Nikolai Sednev 2016-07-11 14:16:05 UTC
Created attachment 1178423 [details]
sosreport from engine

Comment 3 Nikolai Sednev 2016-07-11 14:17:37 UTC
I see this in UI.log:
2016-07-11 09:59:37,720 INFO  [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-61) [] GWT symbolmaps are not installed, please install them to de-obfuscate the UI stack traces
2016-07-11 09:59:37,733 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-61) [] Permutation name: A54F31ED56C8E12A049231B79F11C501
2016-07-11 09:59:37,734 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-61) [] Uncaught exception: : com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Peb(...) is null
        at Unknown.OTo(Unknown Source)
        at Unknown.UXn(Unknown Source)
        at Unknown.XXn(Unknown Source)
        at Unknown.R$n(Unknown Source)
        at Unknown.U$n(Unknown Source)
        at Unknown.r$n(Unknown Source)
        at Unknown.u$n(Unknown Source)
        at Unknown.UKe(Unknown Source)
        at Unknown.L7(Unknown Source)
        at Unknown.a8(Unknown Source)
        at Unknown.Vxf/c.onreadystatechange<(Unknown Source)
        at Unknown.Sx(Unknown Source)
        at Unknown.Wx(Unknown Source)
        at Unknown.Vx/<(Unknown Source)
        at Unknown.anonymous(Unknown Source)

Comment 4 Tomas Jelinek 2016-07-12 06:24:00 UTC
Please attach the un-obfuscated ui logs (e.g. install the debuginfo package for webadmin, reproduce the issue and attach the ui.log file which is next to engine.log one)

Comment 5 Nikolai Sednev 2016-07-12 08:26:33 UTC
Rarely reproducible. Can't supply any additional information right now. Will add later if reproduced.

Comment 6 Yaniv Kaul 2016-07-12 09:41:17 UTC
(In reply to Nikolai Sednev from comment #5)
> Rarely reproducible. Can't supply any additional information right now. Will
> add later if reproduced.

Nothing we can do without ui.log - please reproduce (re-setting NEEDINFO).

Comment 7 Nikolai Sednev 2016-07-12 14:13:51 UTC
Reproduced:
Tue Jul 12 17:10:28 GMT+300 2016 
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Peb(...) is null
	at Unknown.giq(Unknown Source)
	at Unknown.Wjq(Unknown Source)
	at Unknown.UXn(Unknown Source)
	at Unknown.XXn(Unknown Source)
	at Unknown.R$n(Unknown Source)
	at Unknown.U$n(Unknown Source)
	at Unknown.r$n(Unknown Source)
	at Unknown.u$n(Unknown Source)
	at Unknown.UKe(Unknown Source)
	at Unknown.L7(Unknown Source)
	at Unknown.a8(Unknown Source)
	at Unknown.Vxf/c.onreadystatechange<(Unknown Source)
	at Unknown.Sx(Unknown Source)
	at Unknown.Wx(Unknown Source)
	at Unknown.Vx/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
 webadmin:1:12831

Tue Jul 12 17:10:28 GMT+300 2016 remote
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Peb(...) is null
	at Unknown.giq(Unknown Source)
	at Unknown.Wjq(Unknown Source)
	at Unknown.UXn(Unknown Source)
	at Unknown.XXn(Unknown Source)
	at Unknown.R$n(Unknown Source)
	at Unknown.U$n(Unknown Source)
	at Unknown.r$n(Unknown Source)
	at Unknown.u$n(Unknown Source)
	at Unknown.UKe(Unknown Source)
	at Unknown.L7(Unknown Source)
	at Unknown.a8(Unknown Source)
	at Unknown.Vxf/c.onreadystatechange<(Unknown Source)
	at Unknown.Sx(Unknown Source)
	at Unknown.Wx(Unknown Source)
	at Unknown.Vx/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
 webadmin:1:12831

Comment 8 Nikolai Sednev 2016-07-12 14:14:17 UTC
Created attachment 1178913 [details]
ui.log

Comment 9 Nikolai Sednev 2016-07-12 14:26:54 UTC
These were taken from console tab, after I've followed the http://www.ovirt.org/uncategorized/engine-debug-obfuscated-ui/ and reproduced the issue:
Error in parsing value for 'background-image'.  Declaration dropped. bootstrap-datetimepicker.min.css:9:8470
Error in parsing value for 'background-image'.  Declaration dropped. bootstrap-datetimepicker.min.css:9:8543
Error in parsing value for 'background-image'.  Declaration dropped. bootstrap-datetimepicker.min.css:9:8599
Expected color but found 'top'.  Error in parsing value for 'background-image'.  Declaration dropped. bootstrap-datetimepicker.min.css:9:8666
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. bootstrap-datetimepicker.min.css:9:8715
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. bootstrap-datetimepicker.min.css:9:8920
Unknown property 'zoom'.  Declaration dropped. standard.css:44:6
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:53:10
Unknown property 'zoom'.  Declaration dropped. standard.css:93:6
Unknown property 'zoom'.  Declaration dropped. standard.css:146:6
Unknown property 'zoom'.  Declaration dropped. standard.css:150:6
Unknown property 'zoom'.  Declaration dropped. standard.css:155:6
Unknown property 'zoom'.  Declaration dropped. standard.css:160:6
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:209:10
Unknown property 'zoom'.  Declaration dropped. standard.css:344:6
Unknown property 'zoom'.  Declaration dropped. standard.css:349:6
Unknown property 'zoom'.  Declaration dropped. standard.css:354:6
Unknown property 'zoom'.  Declaration dropped. standard.css:359:6
Unknown property 'zoom'.  Declaration dropped. standard.css:434:6
Unknown property 'zoom'.  Declaration dropped. standard.css:439:6
Unknown property 'zoom'.  Declaration dropped. standard.css:444:6
Unknown property 'zoom'.  Declaration dropped. standard.css:449:6
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. standard.css:491:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:512:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:518:10
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. standard.css:524:10
Unknown property 'zoom'.  Declaration dropped. standard.css:525:6
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:535:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:541:10
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. standard.css:547:10
Unknown property 'zoom'.  Declaration dropped. standard.css:548:6
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:622:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:648:10
Unknown property 'zoom'.  Declaration dropped. standard.css:654:6
Unknown property 'zoom'.  Declaration dropped. standard.css:742:6
Unknown property 'zoom'.  Declaration dropped. standard.css:747:6
Unknown property 'zoom'.  Declaration dropped. standard.css:752:6
Unknown property 'zoom'.  Declaration dropped. standard.css:757:6
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:807:10
Unknown property 'zoom'.  Declaration dropped. standard.css:849:6
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:884:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:944:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:950:10
Unknown property 'zoom'.  Declaration dropped. standard.css:956:6
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. standard.css:957:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:968:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:975:10
Unknown property 'zoom'.  Declaration dropped. standard.css:982:6
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. standard.css:983:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:990:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:1042:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:1088:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:1098:10
Error in parsing value for 'cursor'.  Declaration dropped. standard.css:1136:10
Unknown property 'cellpadding'.  Declaration dropped. WebAdmin.css:20:15
This site makes use of a SHA-1 Certificate; it's recommended you use certificates with signature algorithms that use hash functions stronger than SHA-1.[Learn More] /
Tue Jul 12 17:01:34 GMT+300 2016 org.ovirt.engine.ui.common.uicommon.ContextSensitiveHelpManager
INFO: Context-sensitive help is installed on the server. The following locales are available: [en-US] webadmin:1:12916
Tue Jul 12 17:01:34 GMT+300 2016 org.ovirt.engine.ui.common.uicommon.ContextSensitiveHelpManager
INFO: Context-sensitive help for your locale, en-US, is installed and loaded. webadmin:1:12916
Tue Jul 12 17:01:34 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Plugin [dashboard] has registered the event handler object webadmin:1:12916
Tue Jul 12 17:01:34 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Plugin [dashboard] reports in as ready webadmin:1:12916
Error in parsing value for 'margin-top'.  Declaration dropped. webadmin:1:1931
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:2663
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:7820
Error in parsing value for 'background-image'.  Declaration dropped. webadmin:1:117
Error in parsing value for 'background-image'.  Declaration dropped. webadmin:1:206
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. webadmin:1:431
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:1353
Unknown property 'zoom'.  Declaration dropped. webadmin:1:1377
Unknown property 'zoom'.  Declaration dropped. webadmin:1:1437
Unknown property 'zoom'.  Declaration dropped. webadmin:1:4750
Unknown property 'zoom'.  Declaration dropped. webadmin:1:4782
Unknown property 'zoom'.  Declaration dropped. webadmin:1:8306
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:11354
Unknown property 'zoom'.  Declaration dropped. webadmin:1:11378
Unknown property 'zoom'.  Declaration dropped. webadmin:1:11440
Unknown property 'zoom'.  Declaration dropped. webadmin:1:14761
Unknown property 'zoom'.  Declaration dropped. webadmin:1:14804
Error in parsing value for 'vertical-align'.  Declaration dropped. webadmin:1:18454
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:19351
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:21236
Tue Jul 12 17:01:38 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Initializing plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:01:38 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [UiInit] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:01:38 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Plugin [dashboard] is initialized and in use now webadmin:1:12916
Tue Jul 12 17:01:38 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [UserLogin] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:01:38 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: Missing Enum resource 'MANAGED_HOSTED_ENGINE'. Cannot find constant 'OriginType___MANAGED_HOSTED_ENGINE'; expecting a method name webadmin:1:12874
Tue Jul 12 17:01:38 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [VirtualMachineSelectionChange] for plugin [dashboard] webadmin:1:12916
Unknown property 'user-select'.  Declaration dropped. rcue-additions.min.css:1:2350
Error in parsing value for 'width'.  Declaration dropped. rcue-additions.min.css:1:48022
Expected color but found '-webkit-focus-ring-color'.  Error in parsing value for 'outline'.  Declaration dropped. rcue-additions.min.css:1:48609
Unknown property 'user-select'.  Declaration dropped. rcue-additions.min.css:1:53184
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:55856
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:57588
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:57719
Unknown property 'user-select'.  Declaration dropped. rcue-additions.min.css:1:59144
Unknown property '-moz-box-shadow'.  Declaration dropped. rcue-additions.min.css:1:60039
Unknown pseudo-class or pseudo-element '-ms-clear'.  Ruleset ignored due to bad selector. rcue-additions.min.css:1:61289
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:61622
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:61691
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:70334
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:70403
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:76464
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:76775
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:77051
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:77113
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:77282
Unknown property 'speak'.  Declaration dropped. rcue-additions.min.css:1:81507
Unknown property '-moz-osx-font-smoothing'.  Declaration dropped. rcue-additions.min.css:1:81591
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:97285
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:97354
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:97502
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:100919
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:100988
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:101136
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:101633
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:101702
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:101850
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:102386
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:102455
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:102603
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:102951
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:103020
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:103168
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:103446
Error in parsing value for 'background-image'.  Declaration dropped. rcue-additions.min.css:1:103515
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue-additions.min.css:1:103663
Unknown pseudo-class or pseudo-element '-ms-clear'.  Ruleset ignored due to bad selector. rcue-additions.min.css:1:111376
Unknown property '-moz-osx-font-smoothing'.  Declaration dropped. rcue.min.css:1:404
Unknown pseudo-class or pseudo-element '-webkit-inner-spin-button'.  Ruleset ignored due to bad selector. rcue.min.css:5:1454
Unknown pseudo-class or pseudo-element '-webkit-search-cancel-button'.  Ruleset ignored due to bad selector. rcue.min.css:5:1558
Unknown property 'orphans'.  Declaration dropped. rcue.min.css:5:2281
Unknown property 'widows'.  Declaration dropped. rcue.min.css:5:2290
Expected color but found '-webkit-focus-ring-color'.  Error in parsing value for 'outline'.  Declaration dropped. rcue.min.css:5:15522
Error in parsing value for 'margin-top'.  Declaration dropped. rcue.min.css:5:34840
Expected color but found '-webkit-focus-ring-color'.  Error in parsing value for 'outline'.  Declaration dropped. rcue.min.css:5:35167
Unknown pseudo-class or pseudo-element '-ms-input-placeholder'.  Ruleset ignored due to bad selector. rcue.min.css:5:35966
Unknown pseudo-class or pseudo-element '-webkit-input-placeholder'.  Ruleset ignored due to bad selector. rcue.min.css:5:36032
Expected media feature name but found '-webkit-min-device-pixel-ratio'. rcue.min.css:5:36715
Error in parsing value for 'margin-top'.  Declaration dropped. rcue.min.css:5:37781
Unknown property 'touch-action'.  Declaration dropped. rcue.min.css:5:44045
Unknown property 'user-select'.  Declaration dropped. rcue.min.css:5:44273
Expected color but found '-webkit-focus-ring-color'.  Error in parsing value for 'outline'.  Declaration dropped. rcue.min.css:5:44401
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:44732
Expected color but found 'solid\9 '.  Expected end of value but found 'solid\9 '.  Error in parsing value for 'border-top'.  Declaration dropped. rcue.min.css:5:54151
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:55419
Expected color but found 'solid\9 '.  Expected end of value but found 'solid\9 '.  Error in parsing value for 'border-bottom'.  Declaration dropped. rcue.min.css:5:55995
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:5:68858
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:5:69039
Unknown property 'zoom'.  Declaration dropped. rcue.min.css:5:84315
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:101101
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:101255
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:102703
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:102757
Unknown property 'line-break'.  Declaration dropped. rcue.min.css:5:103045
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:103879
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:103926
Expected media feature name but found 'transform-3d'. rcue.min.css:5:106868
Expected media feature name but found '-webkit-transform-3d'. rcue.min.css:5:106883
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:108207
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:5:108280
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:5:108367
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:108522
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:5:108692
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:5:108779
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:108934
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:5:109153
Expected color but found '#\30 00\9 '.  Error in parsing value for 'background-color'.  Declaration dropped. rcue.min.css:5:110104
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:1703
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:1866
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:2032
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:2203
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:2373
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:23740
Expected 'none', URL, or filter function but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:23815
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:24924
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:24990
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:25105
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:26391
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:26460
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:26581
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:27969
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:28038
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:28159
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:29894
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:30053
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:30271
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:30400
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:32670
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:32739
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:35821
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:35890
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:37056
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:37184
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:37253
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:44469
Error in parsing value for 'background-image'.  Declaration dropped. rcue.min.css:8:44538
Expected 'none', URL, or filter function but found 'progid'.  Error in parsing value for 'filter'.  Declaration dropped. rcue.min.css:8:44686
Unknown property '-moz-box-shadow'.  Declaration dropped. angular-patternfly.css:251:17
Unknown property '-moz-box-shadow'.  Declaration dropped. angular-patternfly.css:271:17
Error in parsing value for 'max-width'.  Declaration dropped. webadmin
GET 
XHR 
https://nsednev-he-2.qa.lab.tlv.redhat.com/ovirt-engine/services/reports-interface-proxy [HTTP/1.1 404 Not Found 70ms]
Tue Jul 12 17:05:35 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [ClusterSelectionChange] for plugin [dashboard] webadmin:1:12916
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:347
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:2477
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:976
GET 
XHR 
https://nsednev-he-2.qa.lab.tlv.redhat.com/ovirt-engine/services/reports-interface-proxy [HTTP/1.1 404 Not Found 59ms]
Tue Jul 12 17:06:17 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [StorageSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:06:17 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: trying to localize null, probable error. Exception is not thrown, returning 'N/A' webadmin:1:12874
Tue Jul 12 17:06:22 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [NetworkSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:06:23 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [VirtualMachineSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:06:24 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: Missing Enum resource 'MANAGED_HOSTED_ENGINE'. Cannot find constant 'OriginType___MANAGED_HOSTED_ENGINE'; expecting a method name webadmin:1:12874
Tue Jul 12 17:06:24 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [VirtualMachineSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:06:29 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: Missing Enum resource 'MANAGED_HOSTED_ENGINE'. Cannot find constant 'OriginType___MANAGED_HOSTED_ENGINE'; expecting a method name webadmin:1:12874
Tue Jul 12 17:06:33 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [DiskSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:06:38 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [ClusterSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:06:39 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [ClusterSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:07:12 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [HostSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:07:17 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [StorageSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:07:24 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [ClusterSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:07:24 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [ClusterSelectionChange] for plugin [dashboard] webadmin:1:12916
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:2385
Tue Jul 12 17:07:33 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: trying to localize null, probable error. Exception is not thrown, returning 'N/A' webadmin:1:12874
GET 
XHR 
https://nsednev-he-2.qa.lab.tlv.redhat.com/ovirt-engine/services/reports-interface-proxy [HTTP/1.1 404 Not Found 55ms]
Tue Jul 12 17:07:52 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: Missing Enum resource 'CpuProfile'. Cannot find constant 'VdcObjectType___CpuProfile'; expecting a method name webadmin:1:12874
GET 
XHR 
https://nsednev-he-2.qa.lab.tlv.redhat.com/ovirt-engine/services/reports-interface-proxy [HTTP/1.1 404 Not Found 59ms]
Tue Jul 12 17:08:54 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [StorageSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:08:54 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: trying to localize null, probable error. Exception is not thrown, returning 'N/A' webadmin:1:12874
Tue Jul 12 17:08:58 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [StorageSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:08:59 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [StorageSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:08:59 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: trying to localize null, probable error. Exception is not thrown, returning 'N/A' webadmin:1:12874
Tue Jul 12 17:09:03 GMT+300 2016 org.ovirt.engine.ui.uicompat.EnumTranslator
WARNING: trying to localize null, probable error. Exception is not thrown, returning 'N/A' webadmin:1:12874
Tue Jul 12 17:09:06 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [DiskSelectionChange] for plugin [dashboard] webadmin:1:12916
GET 
XHR 
https://nsednev-he-2.qa.lab.tlv.redhat.com/ovirt-engine/services/reports-interface-proxy [HTTP/1.1 404 Not Found 62ms]
Error in parsing value for 'cursor'.  Declaration dropped. webadmin:1:2380
Tue Jul 12 17:09:38 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [StorageSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:09:48 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [ClusterSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:09:48 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [ClusterSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:09:55 GMT+300 2016 org.ovirt.engine.ui.webadmin.plugin.PluginManager
INFO: Invoking event handler function [StorageSelectionChange] for plugin [dashboard] webadmin:1:12916
Tue Jul 12 17:10:28 GMT+300 2016 
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Peb(...) is null
	at Unknown.giq(Unknown Source)
	at Unknown.Wjq(Unknown Source)
	at Unknown.UXn(Unknown Source)
	at Unknown.XXn(Unknown Source)
	at Unknown.R$n(Unknown Source)
	at Unknown.U$n(Unknown Source)
	at Unknown.r$n(Unknown Source)
	at Unknown.u$n(Unknown Source)
	at Unknown.UKe(Unknown Source)
	at Unknown.L7(Unknown Source)
	at Unknown.a8(Unknown Source)
	at Unknown.Vxf/c.onreadystatechange<(Unknown Source)
	at Unknown.Sx(Unknown Source)
	at Unknown.Wx(Unknown Source)
	at Unknown.Vx/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
 webadmin:1:12831
rFe() webadmin:1
LGe() webadmin:7
KGe() webadmin:33
_Ge() webadmin:628
BPk() webadmin:1
ay() webadmin:3
Wx() webadmin:79
Vx/<() webadmin:196

Tue Jul 12 17:10:28 GMT+300 2016 remote
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Peb(...) is null
	at Unknown.giq(Unknown Source)
	at Unknown.Wjq(Unknown Source)
	at Unknown.UXn(Unknown Source)
	at Unknown.XXn(Unknown Source)
	at Unknown.R$n(Unknown Source)
	at Unknown.U$n(Unknown Source)
	at Unknown.r$n(Unknown Source)
	at Unknown.u$n(Unknown Source)
	at Unknown.UKe(Unknown Source)
	at Unknown.L7(Unknown Source)
	at Unknown.a8(Unknown Source)
	at Unknown.Vxf/c.onreadystatechange<(Unknown Source)
	at Unknown.Sx(Unknown Source)
	at Unknown.Wx(Unknown Source)
	at Unknown.Vx/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
 webadmin:1:12831
rFe() webadmin:1
LGe() webadmin:7
KGe() webadmin:33
_Ge() webadmin:628
BPk() webadmin:1
ay() webadmin:3
Wx() webadmin:79
Vx/<() webadmin:196

Error in parsing value for 'max-width'.  Declaration dropped.

Comment 10 Nikolai Sednev 2016-07-12 14:38:45 UTC
Refining reproduction scenario:
1)You need to go to storage tab->select one of data storage domains->select disk profiles tab->press on new->create new disk profile called "test"->OK.
2)Click on Disks tab.

Comment 13 Tomas Jelinek 2016-07-13 07:51:43 UTC
After you install them you need to restart the engine IIRC.

Based on the reproduction steps from Comment 10 moving to storage.

Comment 14 Nikolai Sednev 2016-07-13 08:30:12 UTC
(In reply to Tomas Jelinek from comment #13)
> After you install them you need to restart the engine IIRC.
> 
> Based on the reproduction steps from Comment 10 moving to storage.

OK, the documentation in http://www.ovirt.org/uncategorized/engine-debug-obfuscated-ui/ lacks this requirement, and also "yum install rhevm-webadmin-portal-debuginfo rhevm-userportal-debuginfo" is working instead of " yum install ovirt-engine-webadmin-portal-debuginfo ovirt-engine-userportal-debuginfo", so documentation inaccurate.

Setting need-info on awels@redhat.com.

Comment 15 Nikolai Sednev 2016-07-13 08:34:46 UTC
Adding log after engine was restarted:
Wed Jul 13 11:32:41 GMT+300 2016 remote
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Peb(...) is null
	at Unknown.giq(Unknown Source)
	at Unknown.Wjq(Unknown Source)
	at Unknown.UXn(Unknown Source)
	at Unknown.XXn(Unknown Source)
	at Unknown.R$n(Unknown Source)
	at Unknown.U$n(Unknown Source)
	at Unknown.r$n(Unknown Source)
	at Unknown.u$n(Unknown Source)
	at Unknown.UKe(Unknown Source)
	at Unknown.L7(Unknown Source)
	at Unknown.a8(Unknown Source)
	at Unknown.Vxf/c.onreadystatechange<(Unknown Source)
	at Unknown.Sx(Unknown Source)
	at Unknown.Wx(Unknown Source)
	at Unknown.Vx/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
 webadmin:1:12831

Error in parsing value for 'max-width'.  Declaration dropped.

Comment 16 Nikolai Sednev 2016-07-13 08:35:22 UTC
Created attachment 1179145 [details]
ui.log - after engine was restarted and issue was reproduced

Comment 17 Alexander Wels 2016-07-14 12:32:41 UTC
Right the documentation says to use yum install rhevm-webadmin-portal-debuginfo rhevm-userportal-debuginfo when you are running rhev. However it appears that you installed the ovirt version, which doesn't include the RHEV permutations (different build will generate different permutations). Please use:

yum install rhevm-webadmin-portal-debuginfo rhevm-userportal-debuginfo

To install the debug information for RHEV and make sure the:

A54F31ED56C8E12A049231B79F11C501

permutation symbol map is installed in the correct directory.

Comment 18 Nikolai Sednev 2016-07-14 12:44:22 UTC
(In reply to Alexander Wels from comment #17)
> Right the documentation says to use yum install
> rhevm-webadmin-portal-debuginfo rhevm-userportal-debuginfo when you are
> running rhev. However it appears that you installed the ovirt version, which
> doesn't include the RHEV permutations (different build will generate
> different permutations). Please use:
> 
> yum install rhevm-webadmin-portal-debuginfo rhevm-userportal-debuginfo
> 
> To install the debug information for RHEV and make sure the:
> 
> A54F31ED56C8E12A049231B79F11C501
> 
> permutation symbol map is installed in the correct directory.

That kind of installation failed last time I've tried.
# yum install rhevm-webadmin-portal-debuginfo rhevm-userportal-debuginfo
Loaded plugins: search-disabled-repos, versionlock
No package rhevm-webadmin-portal-debuginfo available.
No package rhevm-userportal-debuginfo available.
Error: Nothing to do

Comment 19 Alexander Wels 2016-07-14 17:06:04 UTC
Interesting, I just double checked the repository and indeed there is no longer a rhevm-webadmin-portal-debuginfo and rhevm-userportal-debuginfo there. So I guess the next step is to figure out why the permutation on your engine doesn't match the permutation on your debug info. Can you check the versions of the webadmin and userportal vs the versions of the match debug info?

Comment 21 Alexander Wels 2016-07-18 12:01:41 UTC
Sorry I wasn't clear enough, I am trying to see if your debuginfo rpms match the webadmin and user portal rpms (the regular ones). If they don't match then the deobfuscation won't work since it won't have the proper permutations.

Comment 23 Nikolai Sednev 2016-07-18 15:31:29 UTC
Created attachment 1181165 [details]
latest ui.log

Comment 24 Tal Nisan 2016-07-18 16:17:44 UTC
Steps to reproduce:

- Create a profile in one of the subtab (doesn't matter whether it's a disk or CPU profile) by clicking "New" either in Storage->Disk Profiles or Clusters->CPU Profiles sub tabs

- After profile creation move to another sub tab

Comment 25 Allon Mureinik 2016-07-18 16:18:40 UTC
(In reply to Tal Nisan from comment #24)
> Steps to reproduce:
> 
> - Create a profile in one of the subtab (doesn't matter whether it's a disk
> or CPU profile) by clicking "New" either in Storage->Disk Profiles or
> Clusters->CPU Profiles sub tabs
> 
> - After profile creation move to another sub tab
If the Profile subtab are the problem, shouldn't this BZ be moved to the SLA team?

Comment 26 Nikolai Sednev 2016-07-24 05:26:25 UTC
Works for me on components as appears bellow, please consider closing this bug as verified.
Engine:
ovirt-engine-websocket-proxy-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-extensions-api-impl-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-userportal-4.0.2-0.1.rc.el7ev.noarch
ovirt-iso-uploader-4.0.0-1.el7ev.noarch
ovirt-engine-dbscripts-4.0.2-0.1.rc.el7ev.noarch
ovirt-vmconsole-proxy-1.0.4-1.el7ev.noarch
ovirt-engine-setup-plugin-ovirt-engine-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-vmconsole-proxy-helper-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-webadmin-portal-debuginfo-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-tools-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-webadmin-portal-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-cli-3.6.7.0-1.el7ev.noarch
ovirt-vmconsole-1.0.4-1.el7ev.noarch
ovirt-setup-lib-1.0.2-1.el7ev.noarch
ovirt-engine-setup-base-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-setup-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-tools-backup-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-dashboard-1.0.1-0.el7ev.x86_64
ovirt-engine-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-sdk-python-3.6.7.0-1.el7ev.noarch
ovirt-log-collector-4.0.0-1.el7ev.noarch
ovirt-engine-lib-4.0.2-0.1.rc.el7ev.noarch
ovirt-host-deploy-java-1.5.1-1.el7ev.noarch
ovirt-engine-dwh-setup-4.0.1-1.el7ev.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-userportal-debuginfo-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-backend-4.0.2-0.1.rc.el7ev.noarch
ovirt-engine-dwh-4.0.1-1.el7ev.noarch
ovirt-engine-setup-plugin-websocket-proxy-4.0.2-0.1.rc.el7ev.noarch
python-ovirt-engine-sdk4-4.0.0-0.5.a5.el7ev.x86_64
ovirt-engine-restapi-4.0.2-0.1.rc.el7ev.noarch
ovirt-image-uploader-4.0.0-1.el7ev.noarch
ovirt-host-deploy-1.5.1-1.el7ev.noarch
ovirt-engine-extension-aaa-jdbc-1.1.0-1.el7ev.noarch
rhev-guest-tools-iso-4.0-4.el7ev.noarch
rhevm-4.0.2-0.1.rc.el7ev.noarch
rhev-release-4.0.2-1-001.noarch
rhevm-doc-4.0.0-3.el7ev.noarch
rhevm-spice-client-x86-msi-4.0-2.el7ev.noarch
rhevm-branding-rhev-4.0.0-3.el7ev.noarch
rhevm-spice-client-x64-msi-4.0-2.el7ev.noarch
rhevm-guest-agent-common-1.0.12-2.el7ev.noarch
rhevm-dependencies-4.0.0-1.el7ev.noarch
rhevm-setup-plugins-4.0.0.1-1.el7ev.noarch
rhev-release-4.0.1-2-001.noarch
Linux version 3.10.0-327.22.2.el7.x86_64 (mockbuild@x86-030.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Thu Jun 9 10:09:10 EDT 2016
Linux 3.10.0-327.22.2.el7.x86_64 #1 SMP Thu Jun 9 10:09:10 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.2 (Maipo)

Hosts:
sanlock-3.2.4-2.el7_2.x86_64
ovirt-hosted-engine-ha-2.0.1-1.el7ev.noarch
ovirt-imageio-daemon-0.3.0-0.el7ev.noarch
ovirt-host-deploy-1.5.1-1.el7ev.noarch
ovirt-engine-sdk-python-3.6.7.0-1.el7ev.noarch
qemu-kvm-rhev-2.3.0-31.el7_2.16.x86_64
mom-0.5.5-1.el7ev.noarch
ovirt-setup-lib-1.0.2-1.el7ev.noarch
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
libvirt-client-1.2.17-13.el7_2.5.x86_64
vdsm-4.18.6-1.el7ev.x86_64
ovirt-hosted-engine-setup-2.0.1-1.el7ev.noarch
ovirt-imageio-common-0.3.0-0.el7ev.noarch
ovirt-vmconsole-1.0.4-1.el7ev.noarch
Linux version 3.10.0-327.22.2.el7.x86_64 (mockbuild@x86-030.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Thu Jun 9 10:09:10 EDT 2016
Linux 3.10.0-327.22.2.el7.x86_64 #1 SMP Thu Jun 9 10:09:10 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux release 7.2

Comment 27 Kevin Alon Goldblatt 2016-07-25 13:10:12 UTC
Tested with the following code:
-------------------------------------
rhevm-4.0.2-0.1.rc.el7ev.noarch
vdsm-4.18.8-1.el7ev.x86_64

Verified with the following scenario:
-------------------------------------
Steps to reproduce:
1. In the Web Admin - Access Storage Tab
2. Select a Domain - Disk Profiles
3. Create new Profile
4. Press on Disks Tab


Actual results:
The exception no longer occurs


Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.